{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.beaver.main": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            { "baby_idle": "q.is_baby" },
            { "idle": "!q.is_baby" }
          ],
          "transitions": [
            { "sit": "q.is_sitting" },
            { "tail_slap": "!q.is_baby && math.random_integer(0,1000) == 0" },
            { "chew": "!q.is_baby && q.property('silverlabs_nat:is_chewing')" },
            { "swim": "q.is_in_water && q.modified_move_speed >= 0.05" },
            {
              "walk": "!q.is_in_water && !q.is_interested && q.modified_move_speed >= 0.05"
            },
            {
              "run": "!q.is_in_water && q.is_interested && q.modified_move_speed >= 0.05"
            }
          ],
          "blend_transition": 0.2
        },
        "sit": {
          "animations": [
            { "baby_sit": "q.is_baby" },
            { "sit": "!q.is_baby" }
          ],
          "transitions": [
            { "default": "!q.is_sitting" },
            { "swim": "q.is_in_water && q.modified_move_speed >= 0.05" }
          ],
          "blend_transition": 0.2
        },
        "tail_slap": {
          "animations": [
            "tail_slap"
          ],
          "transitions": [
            { "default": "q.all_animations_finished" },
            { "sit": "q.is_sitting" },
            { "chew": "q.property('silverlabs_nat:is_chewing')" },
            { "swim": "q.is_in_water && q.modified_move_speed >= 0.05" },
            {
              "walk": "!q.is_in_water && !q.is_interested && q.modified_move_speed >= 0.05"
            },
            {
              "run": "!q.is_in_water && q.is_interested && q.modified_move_speed >= 0.05"
            }
          ],
          "blend_transition": 0.2
        },
        "chew": {
          "animations": [
            "nibbling"
          ],
          "transitions": [
            { "default": "!q.property('silverlabs_nat:is_chewing')" },
            { "sit": "q.is_sitting" },
            { "swim": "q.is_in_water && q.modified_move_speed >= 0.05" },
            {
              "walk": "!q.is_in_water && !q.is_interested && q.modified_move_speed >= 0.05"
            },
            {
              "run": "!q.is_in_water && q.is_interested && q.modified_move_speed >= 0.05"
            }
          ],
          "blend_transition": 0.2
        },
        "walk": {
          "animations": [
            { "baby_walk": "q.is_baby" },
            { "walk": "!q.is_baby" }
          ],
          "transitions": [
            {
              "default": "!q.property('silverlabs_nat:is_chewing') && (q.modified_move_speed < 0.05)"
            },
            { "sit": "q.is_sitting" },
            {
              "chew": "!q.is_baby && q.property('silverlabs_nat:is_chewing') && (q.modified_move_speed < 0.05)"
            },
            { "run": "q.is_interested" },
            { "swim": "q.is_in_water && q.modified_move_speed >= 0.05" }
          ],
          "blend_transition": 0.2
        },
        "swim": {
          "animations": [
            "swim"
          ],
          "transitions": [
            { "default": "!q.is_in_water || q.modified_move_speed < 0.05" }
          ],
          "blend_transition": 0.5
        },
        "run": {
          "animations": [
            { "baby_run": "q.is_baby" },
            { "run": "!q.is_baby" }
          ],
          "transitions": [
            {
              "default": "!q.property('silverlabs_nat:is_chewing') && (q.modified_move_speed < 0.05)"
            },
            { "sit": "q.is_sitting" },
            {
              "chew": "!q.is_baby && q.property('silverlabs_nat:is_chewing') && (q.modified_move_speed < 0.05)"
            },
            { "walk": "!q.is_interested" },
            { "swim": "q.is_in_water && q.modified_move_speed >= 0.05" }
          ],
          "blend_transition": 0.2
        }
      }
    }
  }
}
